## org.eclipse.emf.edit.provider
Class ItemPropertyDescriptor.ItemDelegator

    java.lang.Object
      org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
          org.eclipse.emf.edit.provider.ItemPropertyDescriptor.ItemDelegator

All Implemented Interfaces:
  IEditingDomainItemProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITableItemLabelProvider, ITreeItemContentProvider

Enclosing class:
  ItemPropertyDescriptor

    protected class ItemPropertyDescriptor.ItemDelegator

extends AdapterFactoryItemDelegator

This class uses a static image

Field Summary
`protected ResourceLocator` `resourceLocator`

Fields inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
`adapterFactory`

Constructor Summary
`ItemPropertyDescriptor.ItemDelegator(AdapterFactory adapterFactory)`
`ItemPropertyDescriptor.ItemDelegator(AdapterFactory adapterFactory, ResourceLocator resourceLocator)`

Method Summary
`protected java.lang.String` `convert(EDataType eDataType, java.lang.Object value)`
`protected java.lang.String` `crop(java.lang.String text)`
`java.lang.Object` `getImage(java.lang.Object object)` This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.
`java.lang.String` `getText(java.lang.Object object)` This does the same thing as ILabelProvider.getText, it fetches the label text specific to this object instance.

Methods inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
`createCommand, getAdapterFactory, getChildren, getColumnImage, getColumnText, getEditableValue, getElements, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyDescriptors, hasChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceLocator

    protected ResourceLocator resourceLocator

Constructor Detail

### ItemPropertyDescriptor.ItemDelegator

    public ItemPropertyDescriptor.ItemDelegator(AdapterFactory adapterFactory)

### ItemPropertyDescriptor.ItemDelegator

    public ItemPropertyDescriptor.ItemDelegator(AdapterFactory adapterFactory,
                                                ResourceLocator resourceLocator)

Method Detail

### getText

    public java.lang.String getText(java.lang.Object object)

  Description copied from class: `AdapterFactoryItemDelegator`
  This does the same thing as ILabelProvider.getText, it fetches the label text specific to this object instance.

  Specified by:
    `getText` in interface `IItemLabelProvider`
  Overrides:
    `getText` in class `AdapterFactoryItemDelegator`

### convert

    protected java.lang.String convert(EDataType eDataType,
                                       java.lang.Object value)

### crop

    protected java.lang.String crop(java.lang.String text)

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Description copied from class: `AdapterFactoryItemDelegator`
  This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.

  Specified by:
    `getImage` in interface `IItemLabelProvider`
  Overrides:
    `getImage` in class `AdapterFactoryItemDelegator`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.